summaryrefslogtreecommitdiffstats
path: root/development/hexe/hexe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/hexe/hexe.SlackBuild')
-rw-r--r--development/hexe/hexe.SlackBuild80
1 files changed, 80 insertions, 0 deletions
diff --git a/development/hexe/hexe.SlackBuild b/development/hexe/hexe.SlackBuild
new file mode 100644
index 0000000000..ba607a4774
--- /dev/null
+++ b/development/hexe/hexe.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for hexe
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Source is distributed on upstream site as a dir full of individual
+# files rather than a tarball/etc. So I made a tarball containing
+# them all. VERSION is the server timestamp on all the files.
+
+PRGNAM=hexe
+VERSION=${VERSION:-20120305}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# The short -b version of --byte-groups didn't work (typo in source)
+patch -p1 < $CWD/fix-b-option.diff
+
+# Get rid of inline warnings
+sed -i 's,\<inline\>,,' $PRGNAM.h
+
+make CFLAGS="-Wall $SLKCFLAGS"
+mkdir -p $PKG/usr/bin
+install -s -m0755 -oroot -groot $PRGNAM $PKG/usr/bin
+
+# man page by SlackBuild author
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# There's *no* documentation, include our own README.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}